Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Adds useful methods to the JavaScript Object type.
To use this optional module, its repository needs to be added to the application, for example by calling app.addRepository('modules/core/Object.js')
Methods
Object. clone(Object, Object)
copy the properties of an object into a new object
parameters

| Object | the source object
| Object | the (optional) target object

returns

| Object the resulting object

Object. reduce(HopObject)
reduce an extended object (ie. a HopObject) to a generic javascript object
parameters

| HopObject | the HopObject to be reduced

returns

| Object the resulting generic object

Object. dump(Object, Boolean)
print the contents of an object for debugging
parameters

| Object | the object to dump
| Boolean | recursive flag (if true, dump child objects, too)

Tue, 25 Nov 2008 16:50:20 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar